/Users/bernard/b20/bsoft/src/img/Bimage_edit.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/img/Bimage_edit.cpp - Library routines used for editing image contents.

SYNOPSIS

#include 'Bimage.h'
#include 'matrix_linear.h'
#include 'utilities.h'

  Functions
double rectangle_edge (Vector3< double > d, Vector3< double > hr)
double oval_edge (Vector3< double > d, Vector3< double > hr)
double cylinder_edge (Vector3< double > d, Vector3< double > hr)
double shell_edge (Vector3< double > d, double mind, double maxd)

  Variables
int verbose

Detailed Description

Library routines used for editing image contents.

Author:
    Bernard Heymann

Date:
    Created: 19980520

    Modified: 20180518

Definition in file Bimage_edit.cpp.

Function Documentation

  double cylinder_edge (Vector3< double > d, Vector3< double > hr)

Definition at line 44 of file Bimage_edit.cpp.

  double oval_edge (Vector3< double > d, Vector3< double > hr)

Definition at line 27 of file Bimage_edit.cpp.

  double rectangle_edge (Vector3< double > d, Vector3< double > hr)

Definition at line 17 of file Bimage_edit.cpp.

  double shell_edge (Vector3< double > d, double mind, double maxd)

Definition at line 65 of file Bimage_edit.cpp.

Variable Documentation

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.